plugins {
    id("com.android.application")
    id("com.google.gms.google-services")
    alias(libs.plugins.kotlin.android)
    id("com.google.firebase.crashlytics")
}

android {
    namespace = "com.swiftcleaner.chovey"
    compileSdk = 34


    defaultConfig {
        applicationId = "com.tool.advanced.cleaner"
        minSdk = 28
        targetSdk = 34
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }
    // 添加签名配置
    signingConfigs {
        create("release") {
            storeFile = file("../my-key.keystore")
            storePassword = "123456"
            keyAlias = "my_alias"
            keyPassword = "123456"
        }
    }
    buildTypes {
        release {
            isMinifyEnabled = false
            signingConfig = signingConfigs.getByName("release")
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    buildFeatures {
        viewBinding = true
        buildConfig = true
    }
    dependenciesInfo {
        includeInApk = true
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }

}

dependencies {

    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("com.google.android.material:material:1.8.0")
    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    implementation(libs.core.ktx)
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1")
    //底部弹窗
    api("com.google.android.material:material:1.4.0")
    api("com.github.bumptech.glide:glide:4.15.1")
    api("com.geyifeng.immersionbar:immersionbar:3.2.2")
    api("com.airbnb.android:lottie:5.2.0")

    implementation("com.google.firebase:firebase-messaging:23.2.1")


    //solar 归因
    implementation("com.reyun.solar.engine.oversea:solar-engine-core:1.2.8.3")

    implementation("com.squareup.okhttp3:okhttp:4.12.0")

    //admob渠道
    implementation(libs.vungle)
    implementation(libs.facebook)
    implementation(libs.mintegral)
    implementation(libs.pangle)
    //applovin sdk
    implementation(libs.applovin)
    //applovin渠道
    implementation(libs.applovin.google)
    implementation(libs.applovin.admob)
    implementation(libs.applovin.facebook) //meta
    implementation(libs.applovin.mintegral)//mintegral
    implementation(libs.applovin.pangle) //pangle
    implementation(libs.applovin.vungle) //vungle

    //firebase
    implementation(platform("com.google.firebase:firebase-bom:32.3.1"))
    implementation("com.google.firebase:firebase-messaging")
    implementation("com.google.firebase:firebase-analytics-ktx")
    implementation("com.google.firebase:firebase-crashlytics")
    implementation("com.google.firebase:firebase-config")
    implementation("com.google.firebase:firebase-messaging-directboot")

    //facebook
    implementation("com.facebook.android:facebook-android-sdk:[8,9)")
}